# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
"""
This file contains the exact signatures for all functions in module
PySide6.QtNetwork, except for defaults which are replaced by "...".
"""

# mypy: disable-error-code="override, overload-overlap"
# Module `PySide6.QtNetwork`

import PySide6.QtNetwork
import PySide6.QtCore

import enum
import typing
from PySide6.QtCore import Signal
from shiboken6 import Shiboken


class QAbstractNetworkCache(PySide6.QtCore.QObject): ...


class QAbstractSocket(PySide6.QtCore.QIODevice):

    connected                : typing.ClassVar[Signal] = ... # connected()
    disconnected             : typing.ClassVar[Signal] = ... # disconnected()
    errorOccurred            : typing.ClassVar[Signal] = ... # errorOccurred(QAbstractSocket::SocketError)
    hostFound                : typing.ClassVar[Signal] = ... # hostFound()
    proxyAuthenticationRequired: typing.ClassVar[Signal] = ... # proxyAuthenticationRequired(QNetworkProxy,QAuthenticator*)
    stateChanged             : typing.ClassVar[Signal] = ... # stateChanged(QAbstractSocket::SocketState)

    class BindFlag(enum.Flag):

        DefaultForPlatform        = 0x0
        ShareAddress              = 0x1
        DontShareAddress          = 0x2
        ReuseAddressHint          = 0x4

    class NetworkLayerProtocol(enum.Enum):

        UnknownNetworkLayerProtocol = -1
        IPv4Protocol              = 0x0
        IPv6Protocol              = 0x1
        AnyIPProtocol             = 0x2

    class PauseMode(enum.Flag):

        PauseNever                = 0x0
        PauseOnSslErrors          = 0x1

    class SocketError(enum.Enum):

        UnknownSocketError        = -1
        ConnectionRefusedError    = 0x0
        RemoteHostClosedError     = 0x1
        HostNotFoundError         = 0x2
        SocketAccessError         = 0x3
        SocketResourceError       = 0x4
        SocketTimeoutError        = 0x5
        DatagramTooLargeError     = 0x6
        NetworkError              = 0x7
        AddressInUseError         = 0x8
        SocketAddressNotAvailableError = 0x9
        UnsupportedSocketOperationError = 0xa
        UnfinishedSocketOperationError = 0xb
        ProxyAuthenticationRequiredError = 0xc
        SslHandshakeFailedError   = 0xd
        ProxyConnectionRefusedError = 0xe
        ProxyConnectionClosedError = 0xf
        ProxyConnectionTimeoutError = 0x10
        ProxyNotFoundError        = 0x11
        ProxyProtocolError        = 0x12
        OperationError            = 0x13
        SslInternalError          = 0x14
        SslInvalidUserDataError   = 0x15
        TemporaryError            = 0x16

    class SocketOption(enum.Enum):

        LowDelayOption            = 0x0
        KeepAliveOption           = 0x1
        MulticastTtlOption        = 0x2
        MulticastLoopbackOption   = 0x3
        TypeOfServiceOption       = 0x4
        SendBufferSizeSocketOption = 0x5
        ReceiveBufferSizeSocketOption = 0x6
        PathMtuSocketOption       = 0x7

    class SocketState(enum.Enum):

        UnconnectedState          = 0x0
        HostLookupState           = 0x1
        ConnectingState           = 0x2
        ConnectedState            = 0x3
        BoundState                = 0x4
        ListeningState            = 0x5
        ClosingState              = 0x6

    class SocketType(enum.Enum):

        UnknownSocketType         = -1
        TcpSocket                 = 0x0
        UdpSocket                 = 0x1
        SctpSocket                = 0x2


class QAuthenticator(Shiboken.Object): ...


class QDnsDomainNameRecord(Shiboken.Object): ...


class QDnsHostAddressRecord(Shiboken.Object): ...


class QDnsLookup(PySide6.QtCore.QObject):

    finished                 : typing.ClassVar[Signal] = ... # finished()
    nameChanged              : typing.ClassVar[Signal] = ... # nameChanged(QString)
    nameserverChanged        : typing.ClassVar[Signal] = ... # nameserverChanged(QHostAddress)
    nameserverPortChanged    : typing.ClassVar[Signal] = ... # nameserverPortChanged(ushort)
    nameserverProtocolChanged: typing.ClassVar[Signal] = ... # nameserverProtocolChanged(QDnsLookup::Protocol)
    typeChanged              : typing.ClassVar[Signal] = ... # typeChanged(QDnsLookup::Type)

    class Error(enum.Enum):

        NoError                   = 0x0
        ResolverError             = 0x1
        OperationCancelledError   = 0x2
        InvalidRequestError       = 0x3
        InvalidReplyError         = 0x4
        ServerFailureError        = 0x5
        ServerRefusedError        = 0x6
        NotFoundError             = 0x7
        TimeoutError              = 0x8

    class Protocol(enum.Enum):

        Standard                  = 0x0
        DnsOverTls                = 0x1

    class Type(enum.Enum):

        A                         = 0x1
        NS                        = 0x2
        CNAME                     = 0x5
        PTR                       = 0xc
        MX                        = 0xf
        TXT                       = 0x10
        AAAA                      = 0x1c
        SRV                       = 0x21
        TLSA                      = 0x34
        ANY                       = 0xff


class QDnsMailExchangeRecord(Shiboken.Object): ...


class QDnsServiceRecord(Shiboken.Object): ...


class QDnsTextRecord(Shiboken.Object): ...


class QDnsTlsAssociationRecord(Shiboken.Object):

    class CertificateUsage(enum.Enum):

        CertificateAuthorityConstrait = 0x0
        PKIX_TA                   = 0x0
        PKIX_EE                   = 0x1
        ServiceCertificateConstraint = 0x1
        DANE_TA                   = 0x2
        TrustAnchorAssertion      = 0x2
        DANE_EE                   = 0x3
        DomainIssuedCertificate   = 0x3
        PrivCert                  = 0xff
        PrivateUse                = 0xff

    class MatchingType(enum.Enum):

        Exact                     = 0x0
        Sha256                    = 0x1
        Sha512                    = 0x2
        PrivMatch                 = 0xff
        PrivateUse                = 0xff

    class Selector(enum.Enum):

        Cert                      = 0x0
        FullCertificate           = 0x0
        SPKI                      = 0x1
        SubjectPublicKeyInfo      = 0x1
        PrivSel                   = 0xff
        PrivateUse                = 0xff


class QDtls(PySide6.QtCore.QObject):

    handshakeTimeout         : typing.ClassVar[Signal] = ... # handshakeTimeout()
    pskRequired              : typing.ClassVar[Signal] = ... # pskRequired(QSslPreSharedKeyAuthenticator*)

    class HandshakeState(enum.Enum):

        HandshakeNotStarted       = 0x0
        HandshakeInProgress       = 0x1
        PeerVerificationFailed    = 0x2
        HandshakeComplete         = 0x3


class QDtlsClientVerifier(PySide6.QtCore.QObject):

    class GeneratorParameters(Shiboken.Object): ...


class QDtlsError(enum.Enum):

    NoError                   = 0x0
    InvalidInputParameters    = 0x1
    InvalidOperation          = 0x2
    UnderlyingSocketError     = 0x3
    RemoteClosedConnectionError = 0x4
    PeerVerificationError     = 0x5
    TlsInitializationError    = 0x6
    TlsFatalError             = 0x7
    TlsNonFatalError          = 0x8


class QFormDataBuilder(Shiboken.Object):

    class Option(enum.Flag):

        Default                   = 0x0
        OmitRfc8187EncodedFilename = 0x1
        UseRfc7578PercentEncodedFilename = 0x2
        StrictRfc7578             = 0x3
        PreferLatin1EncodedFilename = 0x4


class QFormDataPartBuilder(Shiboken.Object): ...


class QHostAddress(Shiboken.Object):

    UnknownNetworkLayerProtocol = -1
    IPv4Protocol              = 0x0
    IPv6Protocol              = 0x1
    AnyIPProtocol             = 0x2

    class ConversionModeFlag(enum.Flag):

        StrictConversion          = 0x0
        ConvertV4MappedToIPv4     = 0x1
        ConvertV4CompatToIPv4     = 0x2
        ConvertUnspecifiedAddress = 0x4
        ConvertLocalHost          = 0x8
        TolerantConversion        = 0xff

    class SpecialAddress(enum.Enum):

        Null                      = 0x0
        Broadcast                 = 0x1
        LocalHost                 = 0x2
        LocalHostIPv6             = 0x3
        Any                       = 0x4
        AnyIPv6                   = 0x5
        AnyIPv4                   = 0x6


    def __repr__(self, /) -> str: ...


class QHostInfo(Shiboken.Object):

    class HostInfoError(enum.Enum):

        NoError                   = 0x0
        HostNotFound              = 0x1
        UnknownError              = 0x2


class QHstsPolicy(Shiboken.Object):

    class PolicyFlag(enum.Flag):

        IncludeSubDomains         = 0x1


class QHttp1Configuration(Shiboken.Object): ...


class QHttp2Configuration(Shiboken.Object): ...


class QHttpHeaders(Shiboken.Object):

    class WellKnownHeader(enum.Enum):

        AIM                       = 0x0
        Accept                    = 0x1
        AcceptAdditions           = 0x2
        AcceptCH                  = 0x3
        AcceptDatetime            = 0x4
        AcceptEncoding            = 0x5
        AcceptFeatures            = 0x6
        AcceptLanguage            = 0x7
        AcceptPatch               = 0x8
        AcceptPost                = 0x9
        AcceptRanges              = 0xa
        AcceptSignature           = 0xb
        AccessControlAllowCredentials = 0xc
        AccessControlAllowHeaders = 0xd
        AccessControlAllowMethods = 0xe
        AccessControlAllowOrigin  = 0xf
        AccessControlExposeHeaders = 0x10
        AccessControlMaxAge       = 0x11
        AccessControlRequestHeaders = 0x12
        AccessControlRequestMethod = 0x13
        Age                       = 0x14
        Allow                     = 0x15
        ALPN                      = 0x16
        AltSvc                    = 0x17
        AltUsed                   = 0x18
        Alternates                = 0x19
        ApplyToRedirectRef        = 0x1a
        AuthenticationControl     = 0x1b
        AuthenticationInfo        = 0x1c
        Authorization             = 0x1d
        CacheControl              = 0x1e
        CacheStatus               = 0x1f
        CalManagedID              = 0x20
        CalDAVTimezones           = 0x21
        CapsuleProtocol           = 0x22
        CDNCacheControl           = 0x23
        CDNLoop                   = 0x24
        CertNotAfter              = 0x25
        CertNotBefore             = 0x26
        ClearSiteData             = 0x27
        ClientCert                = 0x28
        ClientCertChain           = 0x29
        Close                     = 0x2a
        Connection                = 0x2b
        ContentDigest             = 0x2c
        ContentDisposition        = 0x2d
        ContentEncoding           = 0x2e
        ContentID                 = 0x2f
        ContentLanguage           = 0x30
        ContentLength             = 0x31
        ContentLocation           = 0x32
        ContentRange              = 0x33
        ContentSecurityPolicy     = 0x34
        ContentSecurityPolicyReportOnly = 0x35
        ContentType               = 0x36
        Cookie                    = 0x37
        CrossOriginEmbedderPolicy = 0x38
        CrossOriginEmbedderPolicyReportOnly = 0x39
        CrossOriginOpenerPolicy   = 0x3a
        CrossOriginOpenerPolicyReportOnly = 0x3b
        CrossOriginResourcePolicy = 0x3c
        DASL                      = 0x3d
        Date                      = 0x3e
        DAV                       = 0x3f
        DeltaBase                 = 0x40
        Depth                     = 0x41
        Destination               = 0x42
        DifferentialID            = 0x43
        DPoP                      = 0x44
        DPoPNonce                 = 0x45
        EarlyData                 = 0x46
        ETag                      = 0x47
        Expect                    = 0x48
        ExpectCT                  = 0x49
        Expires                   = 0x4a
        Forwarded                 = 0x4b
        From                      = 0x4c
        Hobareg                   = 0x4d
        Host                      = 0x4e
        If                        = 0x4f
        IfMatch                   = 0x50
        IfModifiedSince           = 0x51
        IfNoneMatch               = 0x52
        IfRange                   = 0x53
        IfScheduleTagMatch        = 0x54
        IfUnmodifiedSince         = 0x55
        IM                        = 0x56
        IncludeReferredTokenBindingID = 0x57
        KeepAlive                 = 0x58
        Label                     = 0x59
        LastEventID               = 0x5a
        LastModified              = 0x5b
        Link                      = 0x5c
        Location                  = 0x5d
        LockToken                 = 0x5e
        MaxForwards               = 0x5f
        MementoDatetime           = 0x60
        Meter                     = 0x61
        MIMEVersion               = 0x62
        Negotiate                 = 0x63
        NEL                       = 0x64
        ODataEntityId             = 0x65
        ODataIsolation            = 0x66
        ODataMaxVersion           = 0x67
        ODataVersion              = 0x68
        OptionalWWWAuthenticate   = 0x69
        OrderingType              = 0x6a
        Origin                    = 0x6b
        OriginAgentCluster        = 0x6c
        OSCORE                    = 0x6d
        OSLCCoreVersion           = 0x6e
        Overwrite                 = 0x6f
        PingFrom                  = 0x70
        PingTo                    = 0x71
        Position                  = 0x72
        Prefer                    = 0x73
        PreferenceApplied         = 0x74
        Priority                  = 0x75
        ProxyAuthenticate         = 0x76
        ProxyAuthenticationInfo   = 0x77
        ProxyAuthorization        = 0x78
        ProxyStatus               = 0x79
        PublicKeyPins             = 0x7a
        PublicKeyPinsReportOnly   = 0x7b
        Range                     = 0x7c
        RedirectRef               = 0x7d
        Referer                   = 0x7e
        Refresh                   = 0x7f
        ReplayNonce               = 0x80
        ReprDigest                = 0x81
        RetryAfter                = 0x82
        ScheduleReply             = 0x83
        ScheduleTag               = 0x84
        SecPurpose                = 0x85
        SecTokenBinding           = 0x86
        SecWebSocketAccept        = 0x87
        SecWebSocketExtensions    = 0x88
        SecWebSocketKey           = 0x89
        SecWebSocketProtocol      = 0x8a
        SecWebSocketVersion       = 0x8b
        Server                    = 0x8c
        ServerTiming              = 0x8d
        SetCookie                 = 0x8e
        Signature                 = 0x8f
        SignatureInput            = 0x90
        SLUG                      = 0x91
        SoapAction                = 0x92
        StatusURI                 = 0x93
        StrictTransportSecurity   = 0x94
        Sunset                    = 0x95
        SurrogateCapability       = 0x96
        SurrogateControl          = 0x97
        TCN                       = 0x98
        TE                        = 0x99
        Timeout                   = 0x9a
        Topic                     = 0x9b
        Traceparent               = 0x9c
        Tracestate                = 0x9d
        Trailer                   = 0x9e
        TransferEncoding          = 0x9f
        TTL                       = 0xa0
        Upgrade                   = 0xa1
        Urgency                   = 0xa2
        UserAgent                 = 0xa3
        VariantVary               = 0xa4
        Vary                      = 0xa5
        Via                       = 0xa6
        WantContentDigest         = 0xa7
        WantReprDigest            = 0xa8
        WWWAuthenticate           = 0xa9
        XContentTypeOptions       = 0xaa
        XFrameOptions             = 0xab
        AcceptCharset             = 0xac
        CPEPInfo                  = 0xad
        Pragma                    = 0xae
        ProtocolInfo              = 0xaf
        ProtocolQuery             = 0xb0


class QHttpMultiPart(PySide6.QtCore.QObject):

    class ContentType(enum.Enum):

        MixedType                 = 0x0
        RelatedType               = 0x1
        FormDataType              = 0x2
        AlternativeType           = 0x3


class QHttpPart(Shiboken.Object): ...


class QIPv6Address(Shiboken.Object): ...


class QIntList: ...


class QLocalServer(PySide6.QtCore.QObject):

    newConnection            : typing.ClassVar[Signal] = ... # newConnection()

    class SocketOption(enum.Flag):

        NoOptions                 = 0x0
        UserAccessOption          = 0x1
        GroupAccessOption         = 0x2
        OtherAccessOption         = 0x4
        WorldAccessOption         = 0x7
        AbstractNamespaceOption   = 0x8


class QLocalSocket(PySide6.QtCore.QIODevice):

    connected                : typing.ClassVar[Signal] = ... # connected()
    disconnected             : typing.ClassVar[Signal] = ... # disconnected()
    errorOccurred            : typing.ClassVar[Signal] = ... # errorOccurred(QLocalSocket::LocalSocketError)
    stateChanged             : typing.ClassVar[Signal] = ... # stateChanged(QLocalSocket::LocalSocketState)

    class LocalSocketError(enum.Enum):

        UnknownSocketError        = -1
        ConnectionRefusedError    = 0x0
        PeerClosedError           = 0x1
        ServerNotFoundError       = 0x2
        SocketAccessError         = 0x3
        SocketResourceError       = 0x4
        SocketTimeoutError        = 0x5
        DatagramTooLargeError     = 0x6
        ConnectionError           = 0x7
        UnsupportedSocketOperationError = 0xa
        OperationError            = 0x13

    class LocalSocketState(enum.Enum):

        UnconnectedState          = 0x0
        ConnectingState           = 0x2
        ConnectedState            = 0x3
        ClosingState              = 0x6

    class SocketOption(enum.Flag):

        NoOptions                 = 0x0
        AbstractNamespaceOption   = 0x1


class QNetworkAccessManager(PySide6.QtCore.QObject):

    authenticationRequired   : typing.ClassVar[Signal] = ... # authenticationRequired(QNetworkReply*,QAuthenticator*)
    encrypted                : typing.ClassVar[Signal] = ... # encrypted(QNetworkReply*)
    finished                 : typing.ClassVar[Signal] = ... # finished(QNetworkReply*)
    preSharedKeyAuthenticationRequired: typing.ClassVar[Signal] = ... # preSharedKeyAuthenticationRequired(QNetworkReply*,QSslPreSharedKeyAuthenticator*)
    proxyAuthenticationRequired: typing.ClassVar[Signal] = ... # proxyAuthenticationRequired(QNetworkProxy,QAuthenticator*)
    sslErrors                : typing.ClassVar[Signal] = ... # sslErrors(QNetworkReply*,QList<QSslError>)

    class Operation(enum.Enum):

        UnknownOperation          = 0x0
        HeadOperation             = 0x1
        GetOperation              = 0x2
        PutOperation              = 0x3
        PostOperation             = 0x4
        DeleteOperation           = 0x5
        CustomOperation           = 0x6


class QNetworkAddressEntry(Shiboken.Object):

    class DnsEligibilityStatus(enum.Enum):

        DnsEligibilityUnknown     = -1
        DnsIneligible             = 0x0
        DnsEligible               = 0x1


    def __repr__(self, /) -> str: ...


class QNetworkCacheMetaData(Shiboken.Object): ...


class QNetworkCookie(Shiboken.Object):

    class RawForm(enum.Enum):

        NameAndValueOnly          = 0x0
        Full                      = 0x1

    class SameSite(enum.Enum):

        Default                   = 0x0
        None_                     = 0x1
        Lax                       = 0x2
        Strict                    = 0x3


    def __repr__(self, /) -> str: ...


class QNetworkCookieJar(PySide6.QtCore.QObject): ...


class QNetworkDatagram(Shiboken.Object): ...


class QNetworkDiskCache(PySide6.QtNetwork.QAbstractNetworkCache): ...


class QNetworkInformation(PySide6.QtCore.QObject):

    isBehindCaptivePortalChanged: typing.ClassVar[Signal] = ... # isBehindCaptivePortalChanged(bool)
    isMeteredChanged         : typing.ClassVar[Signal] = ... # isMeteredChanged(bool)
    reachabilityChanged      : typing.ClassVar[Signal] = ... # reachabilityChanged(QNetworkInformation::Reachability)
    transportMediumChanged   : typing.ClassVar[Signal] = ... # transportMediumChanged(QNetworkInformation::TransportMedium)

    class Feature(enum.Flag):

        Reachability              = 0x1
        CaptivePortal             = 0x2
        TransportMedium           = 0x4
        Metered                   = 0x8

    class Reachability(enum.Enum):

        Unknown                   = 0x0
        Disconnected              = 0x1
        Local                     = 0x2
        Site                      = 0x3
        Online                    = 0x4

    class TransportMedium(enum.Enum):

        Unknown                   = 0x0
        Ethernet                  = 0x1
        Cellular                  = 0x2
        WiFi                      = 0x3
        Bluetooth                 = 0x4


class QNetworkInterface(Shiboken.Object):

    class InterfaceFlag(enum.Flag):

        IsUp                      = 0x1
        IsRunning                 = 0x2
        CanBroadcast              = 0x4
        IsLoopBack                = 0x8
        IsPointToPoint            = 0x10
        CanMulticast              = 0x20

    class InterfaceType(enum.Enum):

        Unknown                   = 0x0
        Loopback                  = 0x1
        Virtual                   = 0x2
        Ethernet                  = 0x3
        Slip                      = 0x4
        CanBus                    = 0x5
        Ppp                       = 0x6
        Fddi                      = 0x7
        Ieee80211                 = 0x8
        Wifi                      = 0x8
        Phonet                    = 0x9
        Ieee802154                = 0xa
        SixLoWPAN                 = 0xb
        Ieee80216                 = 0xc
        Ieee1394                  = 0xd


    def __repr__(self, /) -> str: ...


class QNetworkProxy(Shiboken.Object):

    class Capability(enum.Flag):

        TunnelingCapability       = 0x1
        ListeningCapability       = 0x2
        UdpTunnelingCapability    = 0x4
        CachingCapability         = 0x8
        HostNameLookupCapability  = 0x10
        SctpTunnelingCapability   = 0x20
        SctpListeningCapability   = 0x40

    class ProxyType(enum.Enum):

        DefaultProxy              = 0x0
        Socks5Proxy               = 0x1
        NoProxy                   = 0x2
        HttpProxy                 = 0x3
        HttpCachingProxy          = 0x4
        FtpCachingProxy           = 0x5


    def __repr__(self, /) -> str: ...


class QNetworkProxyFactory(Shiboken.Object): ...


class QNetworkProxyQuery(Shiboken.Object):

    class QueryType(enum.Enum):

        TcpSocket                 = 0x0
        UdpSocket                 = 0x1
        SctpSocket                = 0x2
        TcpServer                 = 0x64
        UrlRequest                = 0x65
        SctpServer                = 0x66


    def __repr__(self, /) -> str: ...


class QNetworkReply(PySide6.QtCore.QIODevice):

    downloadProgress         : typing.ClassVar[Signal] = ... # downloadProgress(qlonglong,qlonglong)
    encrypted                : typing.ClassVar[Signal] = ... # encrypted()
    errorOccurred            : typing.ClassVar[Signal] = ... # errorOccurred(QNetworkReply::NetworkError)
    finished                 : typing.ClassVar[Signal] = ... # finished()
    metaDataChanged          : typing.ClassVar[Signal] = ... # metaDataChanged()
    preSharedKeyAuthenticationRequired: typing.ClassVar[Signal] = ... # preSharedKeyAuthenticationRequired(QSslPreSharedKeyAuthenticator*)
    redirectAllowed          : typing.ClassVar[Signal] = ... # redirectAllowed()
    redirected               : typing.ClassVar[Signal] = ... # redirected(QUrl)
    requestSent              : typing.ClassVar[Signal] = ... # requestSent()
    socketStartedConnecting  : typing.ClassVar[Signal] = ... # socketStartedConnecting()
    sslErrors                : typing.ClassVar[Signal] = ... # sslErrors(QList<QSslError>)
    uploadProgress           : typing.ClassVar[Signal] = ... # uploadProgress(qlonglong,qlonglong)

    class NetworkError(enum.Enum):

        NoError                   = 0x0
        ConnectionRefusedError    = 0x1
        RemoteHostClosedError     = 0x2
        HostNotFoundError         = 0x3
        TimeoutError              = 0x4
        OperationCanceledError    = 0x5
        SslHandshakeFailedError   = 0x6
        TemporaryNetworkFailureError = 0x7
        NetworkSessionFailedError = 0x8
        BackgroundRequestNotAllowedError = 0x9
        TooManyRedirectsError     = 0xa
        InsecureRedirectError     = 0xb
        UnknownNetworkError       = 0x63
        ProxyConnectionRefusedError = 0x65
        ProxyConnectionClosedError = 0x66
        ProxyNotFoundError        = 0x67
        ProxyTimeoutError         = 0x68
        ProxyAuthenticationRequiredError = 0x69
        UnknownProxyError         = 0xc7
        ContentAccessDenied       = 0xc9
        ContentOperationNotPermittedError = 0xca
        ContentNotFoundError      = 0xcb
        AuthenticationRequiredError = 0xcc
        ContentReSendError        = 0xcd
        ContentConflictError      = 0xce
        ContentGoneError          = 0xcf
        UnknownContentError       = 0x12b
        ProtocolUnknownError      = 0x12d
        ProtocolInvalidOperationError = 0x12e
        ProtocolFailure           = 0x18f
        InternalServerError       = 0x191
        OperationNotImplementedError = 0x192
        ServiceUnavailableError   = 0x193
        UnknownServerError        = 0x1f3


class QNetworkRequest(Shiboken.Object):

    class Attribute(enum.Enum):

        HttpStatusCodeAttribute   = 0x0
        HttpReasonPhraseAttribute = 0x1
        RedirectionTargetAttribute = 0x2
        ConnectionEncryptedAttribute = 0x3
        CacheLoadControlAttribute = 0x4
        CacheSaveControlAttribute = 0x5
        SourceIsFromCacheAttribute = 0x6
        DoNotBufferUploadDataAttribute = 0x7
        HttpPipeliningAllowedAttribute = 0x8
        HttpPipeliningWasUsedAttribute = 0x9
        CustomVerbAttribute       = 0xa
        CookieLoadControlAttribute = 0xb
        AuthenticationReuseAttribute = 0xc
        CookieSaveControlAttribute = 0xd
        MaximumDownloadBufferSizeAttribute = 0xe
        DownloadBufferAttribute   = 0xf
        SynchronousRequestAttribute = 0x10
        BackgroundRequestAttribute = 0x11
        EmitAllUploadProgressSignalsAttribute = 0x12
        Http2AllowedAttribute     = 0x13
        Http2WasUsedAttribute     = 0x14
        OriginalContentLengthAttribute = 0x15
        RedirectPolicyAttribute   = 0x16
        Http2DirectAttribute      = 0x17
        ResourceTypeAttribute     = 0x18
        AutoDeleteReplyOnFinishAttribute = 0x19
        ConnectionCacheExpiryTimeoutSecondsAttribute = 0x1a
        Http2CleartextAllowedAttribute = 0x1b
        UseCredentialsAttribute   = 0x1c
        FullLocalServerNameAttribute = 0x1d
        User                      = 0x3e8
        UserMax                   = 0x7fff

    class CacheLoadControl(enum.Enum):

        AlwaysNetwork             = 0x0
        PreferNetwork             = 0x1
        PreferCache               = 0x2
        AlwaysCache               = 0x3

    class KnownHeaders(enum.Enum):

        ContentTypeHeader         = 0x0
        ContentLengthHeader       = 0x1
        LocationHeader            = 0x2
        LastModifiedHeader        = 0x3
        CookieHeader              = 0x4
        SetCookieHeader           = 0x5
        ContentDispositionHeader  = 0x6
        UserAgentHeader           = 0x7
        ServerHeader              = 0x8
        IfModifiedSinceHeader     = 0x9
        ETagHeader                = 0xa
        IfMatchHeader             = 0xb
        IfNoneMatchHeader         = 0xc
        NumKnownHeaders           = 0xd

    class LoadControl(enum.Enum):

        Automatic                 = 0x0
        Manual                    = 0x1

    class Priority(enum.Enum):

        HighPriority              = 0x1
        NormalPriority            = 0x3
        LowPriority               = 0x5

    class RedirectPolicy(enum.Enum):

        ManualRedirectPolicy      = 0x0
        NoLessSafeRedirectPolicy  = 0x1
        SameOriginRedirectPolicy  = 0x2
        UserVerifiedRedirectPolicy = 0x3

    class TransferTimeoutConstant(enum.Enum):

        DefaultTransferTimeoutConstant = 0x7530


class QNetworkRequestFactory(Shiboken.Object): ...


class QOcspCertificateStatus(enum.Enum):

    Good                      = 0x0
    Revoked                   = 0x1
    Unknown                   = 0x2


class QOcspResponse(Shiboken.Object): ...


class QOcspRevocationReason(enum.Enum):

    None_                     = -1
    Unspecified               = 0x0
    KeyCompromise             = 0x1
    CACompromise              = 0x2
    AffiliationChanged        = 0x3
    Superseded                = 0x4
    CessationOfOperation      = 0x5
    CertificateHold           = 0x6
    RemoveFromCRL             = 0x7


class QPasswordDigestor(Shiboken.Object): ...


class QRestAccessManager(PySide6.QtCore.QObject): ...


class QRestReply(Shiboken.Object): ...


class QSsl(Shiboken.Object):

    class AlertLevel(enum.Enum):

        Warning                   = 0x0
        Fatal                     = 0x1
        Unknown                   = 0x2

    class AlertType(enum.Enum):

        CloseNotify               = 0x0
        UnexpectedMessage         = 0xa
        BadRecordMac              = 0x14
        RecordOverflow            = 0x16
        DecompressionFailure      = 0x1e
        HandshakeFailure          = 0x28
        NoCertificate             = 0x29
        BadCertificate            = 0x2a
        UnsupportedCertificate    = 0x2b
        CertificateRevoked        = 0x2c
        CertificateExpired        = 0x2d
        CertificateUnknown        = 0x2e
        IllegalParameter          = 0x2f
        UnknownCa                 = 0x30
        AccessDenied              = 0x31
        DecodeError               = 0x32
        DecryptError              = 0x33
        ExportRestriction         = 0x3c
        ProtocolVersion           = 0x46
        InsufficientSecurity      = 0x47
        InternalError             = 0x50
        InappropriateFallback     = 0x56
        UserCancelled             = 0x5a
        NoRenegotiation           = 0x64
        MissingExtension          = 0x6d
        UnsupportedExtension      = 0x6e
        CertificateUnobtainable   = 0x6f
        UnrecognizedName          = 0x70
        BadCertificateStatusResponse = 0x71
        BadCertificateHashValue   = 0x72
        UnknownPskIdentity        = 0x73
        CertificateRequired       = 0x74
        NoApplicationProtocol     = 0x78
        UnknownAlertMessage       = 0xff

    class AlternativeNameEntryType(enum.Enum):

        EmailEntry                = 0x0
        DnsEntry                  = 0x1
        IpAddressEntry            = 0x2

    class EncodingFormat(enum.Enum):

        Pem                       = 0x0
        Der                       = 0x1

    class ImplementedClass(enum.Enum):

        Key                       = 0x0
        Certificate               = 0x1
        Socket                    = 0x2
        DiffieHellman             = 0x3
        EllipticCurve             = 0x4
        Dtls                      = 0x5
        DtlsCookie                = 0x6

    class KeyAlgorithm(enum.Enum):

        Opaque                    = 0x0
        Rsa                       = 0x1
        Dsa                       = 0x2
        Ec                        = 0x3
        Dh                        = 0x4

    class KeyType(enum.Enum):

        PrivateKey                = 0x0
        PublicKey                 = 0x1

    class SslOption(enum.Flag):

        SslOptionDisableEmptyFragments = 0x1
        SslOptionDisableSessionTickets = 0x2
        SslOptionDisableCompression = 0x4
        SslOptionDisableServerNameIndication = 0x8
        SslOptionDisableLegacyRenegotiation = 0x10
        SslOptionDisableSessionSharing = 0x20
        SslOptionDisableSessionPersistence = 0x40
        SslOptionDisableServerCipherPreference = 0x80

    class SslProtocol(enum.Enum):

        UnknownProtocol           = -1
        TlsV1_0                   = 0x0
        TlsV1_1                   = 0x1
        TlsV1_2                   = 0x2
        AnyProtocol               = 0x3
        SecureProtocols           = 0x4
        TlsV1_0OrLater            = 0x5
        TlsV1_1OrLater            = 0x6
        TlsV1_2OrLater            = 0x7
        DtlsV1_0                  = 0x8
        DtlsV1_0OrLater           = 0x9
        DtlsV1_2                  = 0xa
        DtlsV1_2OrLater           = 0xb
        TlsV1_3                   = 0xc
        TlsV1_3OrLater            = 0xd

    class SupportedFeature(enum.Enum):

        CertificateVerification   = 0x0
        ClientSideAlpn            = 0x1
        ServerSideAlpn            = 0x2
        Ocsp                      = 0x3
        Psk                       = 0x4
        SessionTicket             = 0x5
        Alerts                    = 0x6


class QSslCertificate(Shiboken.Object):

    class PatternSyntax(enum.Enum):

        RegularExpression         = 0x0
        Wildcard                  = 0x1
        FixedString               = 0x2

    class SubjectInfo(enum.Enum):

        Organization              = 0x0
        CommonName                = 0x1
        LocalityName              = 0x2
        OrganizationalUnitName    = 0x3
        CountryName               = 0x4
        StateOrProvinceName       = 0x5
        DistinguishedNameQualifier = 0x6
        SerialNumber              = 0x7
        EmailAddress              = 0x8


    def __repr__(self, /) -> str: ...


class QSslCertificateExtension(Shiboken.Object): ...


class QSslCipher(Shiboken.Object): ...
    def __repr__(self, /) -> str: ...


class QSslConfiguration(Shiboken.Object):

    class NextProtocolNegotiationStatus(enum.Enum):

        NextProtocolNegotiationNone = 0x0
        NextProtocolNegotiationNegotiated = 0x1
        NextProtocolNegotiationUnsupported = 0x2


class QSslDiffieHellmanParameters(Shiboken.Object):

    class Error(enum.Enum):

        NoError                   = 0x0
        InvalidInputDataError     = 0x1
        UnsafeParametersError     = 0x2


    def __repr__(self, /) -> str: ...


class QSslEllipticCurve(Shiboken.Object): ...
    def __repr__(self, /) -> str: ...


class QSslError(Shiboken.Object):

    class SslError(enum.Enum):

        UnspecifiedError          = -1
        NoError                   = 0x0
        UnableToGetIssuerCertificate = 0x1
        UnableToDecryptCertificateSignature = 0x2
        UnableToDecodeIssuerPublicKey = 0x3
        CertificateSignatureFailed = 0x4
        CertificateNotYetValid    = 0x5
        CertificateExpired        = 0x6
        InvalidNotBeforeField     = 0x7
        InvalidNotAfterField      = 0x8
        SelfSignedCertificate     = 0x9
        SelfSignedCertificateInChain = 0xa
        UnableToGetLocalIssuerCertificate = 0xb
        UnableToVerifyFirstCertificate = 0xc
        CertificateRevoked        = 0xd
        InvalidCaCertificate      = 0xe
        PathLengthExceeded        = 0xf
        InvalidPurpose            = 0x10
        CertificateUntrusted      = 0x11
        CertificateRejected       = 0x12
        SubjectIssuerMismatch     = 0x13
        AuthorityIssuerSerialNumberMismatch = 0x14
        NoPeerCertificate         = 0x15
        HostNameMismatch          = 0x16
        NoSslSupport              = 0x17
        CertificateBlacklisted    = 0x18
        CertificateStatusUnknown  = 0x19
        OcspNoResponseFound       = 0x1a
        OcspMalformedRequest      = 0x1b
        OcspMalformedResponse     = 0x1c
        OcspInternalError         = 0x1d
        OcspTryLater              = 0x1e
        OcspSigRequred            = 0x1f
        OcspUnauthorized          = 0x20
        OcspResponseCannotBeTrusted = 0x21
        OcspResponseCertIdUnknown = 0x22
        OcspResponseExpired       = 0x23
        OcspStatusUnknown         = 0x24


    def __repr__(self, /) -> str: ...


class QSslKey(Shiboken.Object): ...
    def __repr__(self, /) -> str: ...


class QSslPreSharedKeyAuthenticator(Shiboken.Object): ...


class QSslServer(PySide6.QtNetwork.QTcpServer):

    alertReceived            : typing.ClassVar[Signal] = ... # alertReceived(QSslSocket*,QSsl::AlertLevel,QSsl::AlertType,QString)
    alertSent                : typing.ClassVar[Signal] = ... # alertSent(QSslSocket*,QSsl::AlertLevel,QSsl::AlertType,QString)
    errorOccurred            : typing.ClassVar[Signal] = ... # errorOccurred(QSslSocket*,QAbstractSocket::SocketError)
    handshakeInterruptedOnError: typing.ClassVar[Signal] = ... # handshakeInterruptedOnError(QSslSocket*,QSslError)
    peerVerifyError          : typing.ClassVar[Signal] = ... # peerVerifyError(QSslSocket*,QSslError)
    preSharedKeyAuthenticationRequired: typing.ClassVar[Signal] = ... # preSharedKeyAuthenticationRequired(QSslSocket*,QSslPreSharedKeyAuthenticator*)
    sslErrors                : typing.ClassVar[Signal] = ... # sslErrors(QSslSocket*,QList<QSslError>)
    startedEncryptionHandshake: typing.ClassVar[Signal] = ... # startedEncryptionHandshake(QSslSocket*)


class QSslSocket(PySide6.QtNetwork.QTcpSocket):

    alertReceived            : typing.ClassVar[Signal] = ... # alertReceived(QSsl::AlertLevel,QSsl::AlertType,QString)
    alertSent                : typing.ClassVar[Signal] = ... # alertSent(QSsl::AlertLevel,QSsl::AlertType,QString)
    encrypted                : typing.ClassVar[Signal] = ... # encrypted()
    encryptedBytesWritten    : typing.ClassVar[Signal] = ... # encryptedBytesWritten(qlonglong)
    handshakeInterruptedOnError: typing.ClassVar[Signal] = ... # handshakeInterruptedOnError(QSslError)
    modeChanged              : typing.ClassVar[Signal] = ... # modeChanged(QSslSocket::SslMode)
    newSessionTicketReceived : typing.ClassVar[Signal] = ... # newSessionTicketReceived()
    peerVerifyError          : typing.ClassVar[Signal] = ... # peerVerifyError(QSslError)
    preSharedKeyAuthenticationRequired: typing.ClassVar[Signal] = ... # preSharedKeyAuthenticationRequired(QSslPreSharedKeyAuthenticator*)
    sslErrors                : typing.ClassVar[Signal] = ... # sslErrors(QList<QSslError>)

    class PeerVerifyMode(enum.Enum):

        VerifyNone                = 0x0
        QueryPeer                 = 0x1
        VerifyPeer                = 0x2
        AutoVerifyPeer            = 0x3

    class SslMode(enum.Enum):

        UnencryptedMode           = 0x0
        SslClientMode             = 0x1
        SslServerMode             = 0x2


class QTcpServer(PySide6.QtCore.QObject):

    acceptError              : typing.ClassVar[Signal] = ... # acceptError(QAbstractSocket::SocketError)
    newConnection            : typing.ClassVar[Signal] = ... # newConnection()
    pendingConnectionAvailable: typing.ClassVar[Signal] = ... # pendingConnectionAvailable()


class QTcpSocket(PySide6.QtNetwork.QAbstractSocket): ...


class QUdpSocket(PySide6.QtNetwork.QAbstractSocket): ...


# eof
